dcl_settings : default_dcl_settings { audit_level = 0; }

ddctxt : dialog 
{
  label = "DDCTXT";
  key = "title";  
: row
 { 
: boxed_row
 {
  label = "Height:";
   : edit_box 
   {
     key = "text_hieght";
     edit_width = 12;
   }
   : button
   {
     key = "th_sel";
     label = "SELECT <";
     width = 10;
   }
 }                                                                              
                                                                            
 : boxed_row
 {  
  label = "Rotation:";
   : edit_box 
   {
     key = "text_rot";
     edit_width = 12;
   }
   : button
   {
     key = "tr_sel";
     label = "SELECT <";
     width = 10;
   }
 }                                                                              
}

: row
 { 
: boxed_row
 {
  label = "Width Factor:";
   : edit_box 
   {
     key = "text_width";
     edit_width = 12;
   }
   : button
   {
     key = "tw_sel";
     label = "SELECT <";
     width = 10;
   }
 }                                                                              
                                                                            
 : boxed_row
 {  
  label = "Obliquing:";
   : edit_box 
   {
     key = "text_obliq";
     edit_width = 12;
   }
   : button
   {
     key = "to_sel";
     label = "SELECT <";
     width = 10;
   }
 }                                                                              
}

: row
{
 : boxed_row
 {                                                                     
  label = "Justify:";
   : popup_list 
   {
     key = "text_just";
     edit_width = 14;
   }
   : button
   {
     key = "tj_sel";
     label = "SELECT <";
     width = 10;
   }
 }                                                                              

 : boxed_row
 {                                                                     
  label = "Style:";
  : row {
   : popup_list 
   {
     key = "text_style";
     edit_width = 14;
   }
   : button
   {
     key = "ts_sel";
     label = "SELECT <";
     width = 10;
   }
  }
 }                                                                              
}


 : row
 {
   : spacer { width = 1;}
   : button
   {
     key = "accept";
     label = "OK";
     is_default = true;
     fixed_width = true;
     width = 10;
   }    
   : spacer { width = 1;}
   : button
   {     
     key = "cancel";
     label = "CANCEL";
     is_cancel = true;
     fixed_width = true;
     width = 10;
   }
   : spacer { width = 1;}
   : button
   {
     key = "ts_new";
     label = "Create new Style";
     width = 20;
     fixed_width = true;
     alignment = centered;
   }
   : spacer { width = 1;}
 }
}

ddstyle : dialog
{
 label = "DDSTYLE";
 initial_focus = "st_name";
 : edit_box
 {
  label = "Style name: ";
  edit_width = 10;
  key = "st_name"; 
  fixed_width = true;
 }
 : boxed_column
 {
  : edit_box
  {
   label = "Font name: ";
   edit_width = 30;
   key = "st_font";
  }
  : button
  {
   label = "SELECT <";
   width = 20;
   key = "st_font_sel";
   fixed_width = true;
   alignment = centered;
  }
 }
 : row
 {
  : boxed_column
  {
   : edit_box
   {
    label = "Height: ";
    edit_width = 8;
    key = "st_height";
   }
   : edit_box
   {
    label = "Width factor: ";
    edit_width = 8;
    key = "st_width";
   }
   : edit_box
   {
    label = "Obliquing angle: ";
    edit_width = 8;
    key = "st_angle";
   }
  }
  : boxed_column
  {
   :toggle
   {
    label = "Backwards";
    key = "st_back";
   }
   :toggle
   {
    label = "Upside-down";
    key = "st_updwn";
   }
   :toggle
   {
    label = "Vertical";
    key = "st_vert";
   }
  }
 }
 ok_cancel;
}

txtjust : dialog
{
 label = "Text Justification";
 : row
 {
  : button 
  {
   key = "jst_tl";
   label = "Top Left";
   width = 15;
  }
  : button 
  {
   key = "jst_tc";
   label = "Top Center";
   width = 15;
  }
  : button 
  {
   key = "jst_tr";
   label = "Top Right";
   width = 15;
  }
 }
 : row
 {
  : button 
  {
   key = "jst_ml";
   label = "Middle Left";
   width = 15;
  }
  : button 
  {
   key = "jst_mc";
   label = "Middle Center";
   width = 15;
  }
  : button 
  {
   key = "jst_mr";
   label = "Middle Right";
   width = 15;
  }
 }

 : row
 {
  : button 
  {
   key = "jst_l";
   label = "Left";
   width = 15;
  }
  : button 
  {
   key = "jst_c";
   label = "Center";
   width = 15;
  }
  : button 
  {
   key = "jst_r";
   label = "Right";
   width = 15;
  }
 }

 : row
 {
  : button 
  {
   key = "jst_ll";
   label = "Bottom Left";
   width = 15;
  }
  : button 
  {
   key = "jst_lc";
   label = "Bottom Center";
   width = 15;
  }
  : button 
  {
   key = "jst_lr";
   label = "Bottom Right";
   width = 15;
  }
 }

   : button
   {     
     key = "cancel";
     label = "CANCEL";
     is_cancel = true;
     fixed_width = true;
     width = 10;
     alignment = centered;
   } 
}  

demo : dialog
{
 label = "DDCTXT Demo!!!";

 : image
 {
   key = "logo"; 
   aspect_ratio = 0.75;
   width = 12;
   alignment = centered;
   fixed_width = true;
 }

 : paragraph
 {
   alignment = centered;
   : text_part
   {
     label = "This is the demo version of DDCTXT by Western Sierra Software Works,";
     alignment = centered;
   }
   : text_part
   {
     label = "the creators of Visual LISP. The only limitation of the demo is instead of";
     alignment = centered;
   }
   : text_part
   {
     label = "being able to alter an unlimited number of text entities at one time, you";
     alignment = centered;
   }
   : text_part
   {
     label = "wil only be able to edit a maximum of 3 text entities at a time.";
     alignment = centered;
   }  
} 

 : paragraph
 {
   alignment = centered;
   : text_part
   {
     label = "You've tried it, you like it: DDCTXT may be ordered for $30.00.";
     alignment = centered;
   }
    : text_part
   {
     label = "Here are the ways you can order:";
     alignment = centered;
   }
} 

 : row
 {
   width = 40;
   fixed_width = true;
   alignment = centered;
   : text
   {
     label = "To order by check or Money order:";
     alignment = centered;
    } 
    : button
    {
       key = "bn_check";
       label = "INFO";
       width = 8;
       fixed_width = true;
     alignment = centered;
    }
 }

 : row
 {
   width = 40;
   fixed_width = true;
   alignment = centered;
   : text
   {
     label = "To order by Visa or Master card:";
     alignment = centered;
    } 
    : button
    {
       key = "bn_visa";
       label = "INFO";
       width = 8;
       fixed_width = true;
     alignment = centered;
    }
 }

 : row
 {
   width = 40;
   fixed_width = true;
   alignment = centered;

   : text
   {
     label = "To order through Compuserve:";
     alignment = centered;
    } 
    : button
    {
       key = "bn_cserve";
       label = "INFO";
       width = 8;
       fixed_width = true;
     alignment = centered;
    }
 }

   : text 
   {
     key = "send_code";
     width = 34;
     fixed_width = true;
     is_bold = true; 
     alignment = centered;
  }

   : edit_box 
   {
     label = "Enter your unlocking code:";
     value = "";
     key = "return_code";
     edit_width = 10;
     width = 35;
     fixed_width = true;
     alignment = centered;
     allow_accept = true;
   }
ok_only;
}

buy_check : dialog
{
 label = "Check or Money order";

 : paragraph
 {
   alignment = left;
   : text_part
   {
     label = "If purchasing by check or money-order we need:";
     alignment = centered;
   }
   : text_part
   {
     label = "Your name, Mailing address, include postal codes,";
     alignment = centered;
   }
   : text_part
   {
     label = "(FAX # or Compuserve ID) and your SEND CODE from this dialog.";
     alignment = centered;
   }
} 

 : paragraph
 {
     alignment = centered;
   : text_part
   {
     label = "Checks or money orders may be sent to:";
     alignment = centered;
   }
   : text_part
   {
     label = "Western Sierra Software Works!";
     alignment = centered;
   }
   : text_part
   {
     label = "3450 Palmer Drive, Suite 7-166";
     alignment = centered;
   }
   : text_part
   {
     label = "Cameron Park, CA 95682";
     alignment = centered;
   }
}   

   : text 
   {
     key = "send_code";
     width = 34;
     fixed_width = true;
     is_bold = true; 
     alignment = centered;
  }

ok_only;
}

buy_plastic : dialog
{
 label = "Visa or Master Card";

 : paragraph
 {
   alignment = left;
   : text_part
   {
     label = "If purchasing by Visa or Master Card Simply call";
     alignment = centered;
   }
   : text_part
   {
     label = "1-800-569-0088 (outside US 916-484-5644)  or fax 916-677-9338";
     alignment = centered;
   }
   : text_part
   {
     label = "and leave your name, Mailing address, include postal codes,";
     alignment = centered;
   }
   : text_part
   {
     label = "(FAX # or Compuserve ID) and your SEND CODE from this dialog.";
     alignment = centered;
   }
   : text_part
   {
     label = "card type, Name as it is printed on the card, card number,";
     alignment = centered;
   } 
  : text_part
   {
     label = "and expiration date. (Please speak slowly and carefully).";
     alignment = centered;
   }
} 

   : text 
   {
     key = "send_code";
     width = 34;
     fixed_width = true;
     is_bold = true; 
     alignment = centered;
  }

ok_only;
}

buy_cserve : dialog
{
 label = "Compuserve";

 : paragraph
 {
   alignment = left;
   : text_part
   {
     label = "If you would like to be billed on your compuserve bill";
     alignment = centered;
   }
   : text_part
   {
     label = "You can register your copy of DDCTXT by GOing to the SWREG forum";
     alignment = centered;
   }
   : text_part
   {
     label = "and register useing the ID 2330, after you register mail us your SEND CODE";
     alignment = centered;
   }
   : text_part
   {
     label = "and your Compuserve address or fax # to Compuserve address 73523,3363";
     alignment = centered;
   }

} 

   : text 
   {
     key = "send_code";
     width = 34;
     fixed_width = true;
     is_bold = true; 
     alignment = centered;
  }

ok_only;
}
